Package org.bukkit.event.block

# Class BlockExpEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.block.BlockEvent
org.bukkit.event.block.BlockExpEvent

Direct Known Subclasses:
  `BlockBreakEvent`, `FurnaceExtractEvent`

public class BlockExpEvent extends BlockEvent
An event that's called when a block yields experience.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.block.BlockEvent

`block`

## Constructor Summary

Constructors
Constructor
Description
`BlockExpEvent(@NotNull Block block, int exp)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getExpToDrop()`
Get the experience dropped by the block after the event has processed
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`void`
`setExpToDrop(int exp)`
Set the amount of experience dropped by the block after the event has processed

### Methods inherited from class org.bukkit.event.block.BlockEvent

`getBlock`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BlockExpEvent

public BlockExpEvent(@NotNull @NotNull Block block, int exp)

## Method Details

### getExpToDrop

public int getExpToDrop()
Get the experience dropped by the block after the event has processed

Returns:
  The experience to drop

### setExpToDrop

public void setExpToDrop(int exp)
Set the amount of experience dropped by the block after the event has processed

Parameters:
  `exp` - 1 or higher to drop experience, else nothing will drop

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()